Page MenuHomePhabricator

Showcase/inspire: VisualEditor media search
Closed, DeclinedPublic

Description

Dan Garry mentioned VE's media search/browse facility as a showcase item for search and discovery, suggested talk to @MSchottlender-WMF

I think he is referring to Edit in VE, cilck Insert > Media, enter a term to search on.

The API query is
action=query generator=search in File: namespace, returning prop=imageinfo details.

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a project: Web-APIs-Hub.
Spage moved this task to Article candidates on the Web-APIs-Hub board.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2015, 11:27 PM
Spage updated the task description. (Show Details)May 19 2015, 11:31 PM
Spage set Security to None.
Spage added a subscriber: MSchottlender-WMF.
Qgil added a subscriber: Qgil.May 20 2015, 5:23 AM

These showcases should be selected and explained in a way that third party developers can learn from them and reuse them. Just checking: could the same APIs to search media in Commons be used to replicate this feature in a non-MediaWiki environment?

Spage triaged this task as Normal priority.Jul 28 2015, 5:26 AM
Aklapper closed this task as Declined.Mon, Oct 7, 11:17 AM

The Web-APIs-Hub project is dead hence mass-declining its tasks to reflect reality. It might be superseded by a Developer Portal in the future.